import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  GetAnomalyMonitorsRequest,
  GetAnomalyMonitorsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetAnomalyMonitorsCommandInput
  extends GetAnomalyMonitorsRequest {}
export interface GetAnomalyMonitorsCommandOutput
  extends GetAnomalyMonitorsResponse,
    __MetadataBearer {}
export declare class GetAnomalyMonitorsCommand extends $Command<
  GetAnomalyMonitorsCommandInput,
  GetAnomalyMonitorsCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: GetAnomalyMonitorsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetAnomalyMonitorsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetAnomalyMonitorsCommandInput, GetAnomalyMonitorsCommandOutput>;
  private serialize;
  private deserialize;
}
